Interfaz de usuario - Task #49
5.1 Nuevo skin de gvSIG que ofrezca opciones de menus y barras de botones simplificados.
12/10/2011 02:15 PM - Jose Manuel Vivé Arnal

Status: Fixed Start date: 01/26/2012

Priority: Normal Due date: 02/01/2012

Assignee: Jose Manuel Vivé Arnal % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Subtasks:

Task # 163: Crear proyecto para nuevo Skin Fixed
Task # 164: Actualizar el proceso de generacion de instalabes para que use el Skin Fixed
History

#1 - 01/09/2012 11:08 AM - Jose Manuel Vivé Arnal
- Subject changed from 4.1 Nuevo skin de gvSIG que ofrezca opciones de menus y barras de botones simplificados. to 5.1 Nuevo skin de gvSIG que

ofrezca opciones de menus y barras de botones simplificados.

#2 - 01/09/2012 11:09 AM - Jose Manuel Vivé Arnal
- Description updated

#3 - 01/09/2012 06:25 PM - Jose Manuel Vivo Arnal

- File capturas.zip added

Hechas algunas capturas de pantallas con el emulador (ver fichero adjunto).

Los programas (los que he visto hasta ahora) usan un sistemas de menus y sub-menus en base a iconos (ver en la captura 7 menus, sub-menus y

paleta).

Los iconos son muy simples en modo de un solo trazo (ver http://wiki.laptop.org/go/OLPC Human_Interface Guidelines/The_Sugar _Interface/lcons

para mas detalle)

#4 - 01/09/2012 06:32 PM - Jose Manuel Vivé Arnal

Otra cosa resefiable es que, salvo didlogos de confirmacion, solo se suele mostrar una Unica ventana en cada momento.

#5 - 01/10/2012 09:54 AM - Jose Manuel Vivo Arnal

Una primera aproximacién seria:

- Mantener el formato MDI con ventanas hijas.

- El menu se despliega a partir de un botén en la barra de herramientas (el primer botén)

- El menu tiene los colores de fondo de la capturas (letras blancas sobre fondo negro).

- La barra de herramientas tiene el fondo negro y una barra de scroll para ir afladiendo los paneles en una Unica linea.

- Cada elemento de la barra de menu sera un boton que representa un panel toolbar de los config.xml. De momento usaremos el nombre de la
toolbar.

- Al pinchar en un bot6n se despliega una segunda barra de herramientas con las acciones de la toolbar asocida.
http://wiki.laptop.org/go/OLPC_Human_Interface_Guidelines/The_Sugar_Interface/Icons

#6 - 01/25/2012 12:33 PM - Jose Manuel Vivé Arnal

Como aproximacion previa, y viendo el resultado de #169 se afiade al script de creacién mecanismo para escalar los iconos (hacerlos mas grandes) y

se establece el L&F para que use el de sistema. r104

#7 - 01/31/2012 08:26 AM - Jose Manuel Vivo Arnal

- Target version set to v1.0.0-Betat

#8 - 02/10/2012 11:36 AM - Jose Manuel Vivo Arnal

- Target version deleted (v1.0.0-Betat)

Se pospone la tarea hasta tomar una decision sobre la visualizaciéon

#9 - 02/10/2012 11:39 AM - Jose Manuel Vivé Arnal

- Status changed from New to Fixed

#10 - 04/02/2012 11:16 AM - Cesar Ordifana
- Assignee set to Jose Manuel Vivé Arnal
